include	clib.inc
include	ini.inc

	extrn	configfile:BYTE

PPROC	inientryid, section:DWORD, entry:WORD
	mov	ax,entry
      @@:
	cmp	al,10
	jb	@F
	inc	ah
	sub	al,10
	jmp	@B
      @@:
	add	ax,'00'
	xchg	ah,al
	pushm	section
	mov	WORD PTR section,ax
	mov	BYTE PTR section+2,0
	push	ss
	lea	ax,section
	push	ax
	push	ds
	mov	ax,OFFSET configfile
	push	ax
	call	inientry
	ret
PEND	inientryid

	END
